/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __GALLERY_PROVIDER_COMPOSER_H__
#define __GALLERY_PROVIDER_COMPOSER_H__
#include <glib.h>

char *allocate_json(int size);
char *compose_image_header(char *json, char *msgId, int total_imgs);
char *compose_fullscale_image(char *main_json, char *image_buffer, int image_buffer_size, int img_id, char *img_name, int w, int h);
char *compose_downlscaled_image(char *main_json, char *image_buffer, int image_buffer_size, int img_id, char *img_name, int w, int h, gboolean is_first_item);
char *base64_encode(const unsigned char *data, size_t input_length, size_t *output_length);

#endif /* __GALLERY_PROVIDER_COMPOSER_H__ */
